# Type pyglet.window._WindowMetaclass

    type --+
           |
          _WindowMetaclass

Sets the _platform_event_names class variable on the window subclass.

## Methods

| __init__(cls, name, bases, dict) x.__init__(...) initializes x; see x.__class__.__doc__ for signature
Inherited from `type`: `__call__`, `__cmp__`, `__delattr__`, `__eq__`, `__ge__`, `__getattribute__`, `__gt__`, `__hash__`, `__le__`, `__lt__`, `__ne__`, `__new__`, `__repr__`, `__setattr__`, `__subclasses__`, `mro`

## Properties

Inherited from `type`: `__abstractmethods__`, `__base__`, `__bases__`, `__basicsize__`, `__dictoffset__`, `__flags__`, `__instancecheck__`, `__itemsize__`, `__mro__`, `__name__`, `__subclasscheck__`, `__weakrefoffset__`

## Method Details

### __init__

(Constructor) __init__(cls, name, bases, dict)
x.__init__(...) initializes x; see x.__class__.__doc__ for signature

Returns:

      the object's type

Overrides:
  type.__init__